/**
 * Handles showing and hiding fields conditionally
 */
jQuery( document ).ready(
	function ($) {

		// Show/hide elements as necessary when a conditional field is changed
		$( '#envira-gallery-settings input:not([type=hidden]), #envira-gallery-settings select, #envira-albums-settings input:not([type=hidden]), #envira-albums-settings select' ).conditions(
			[

			{   // Slideshow Elements
				conditions: [
					{
						element: '[name="_envira_gallery[audio]"], [name="_eg_album_data[config][audio]"]',
						type: 'checked',
						operator: 'is'
				}
				],
				actions: {
					if : {
						element: '#envira-config-audio-autoplay-box, #envira-config-audio-speed-box, #envira-config-audio-hover-box',
						action: 'show'
					},
					else : {
						element: '#envira-config-audio-autoplay-box, #envira-config-audio-speed-box, #envira-config-audio-hover-box',
						action: 'hide'
					}
				}
			}

			]
		);

	}
);
