;/**
 * Envira Schedule Library.
 *
 * @author Travis Smith
 * @author Envira Team
 */
/**
 * Envira Schedule Object.
 */ (function ($) {

	'use strict';

	$(function() {
		$('#envira-config-schedule-start').daterangepicker({
		  timePicker: true,
		  singleDatePicker: true,
		  showDropdowns: true,
		  minYear: 1901,
		  maxYear: parseInt(moment().format('YYYY'),10) + 20,
		  locale: {
			format: envira_gallery_schedule.envira_datetime_format
		  }
		});
		$('#envira-config-schedule-end').daterangepicker({
			timePicker: true,
			singleDatePicker: true,
			showDropdowns: true,
			minYear: 1901,
			maxYear: parseInt(moment().format('YYYY'),10) + 20,
			locale: {
			  format: envira_gallery_schedule.envira_datetime_format
			}
		  });
	});

	$( document ).on(
		'enviraInsert enviraRenderMeta enviraEditOpen',
		function () {

			$( '#schedule_meta_start' ).daterangepicker(
				{
					timePicker: true,
					singleDatePicker: true,
					showDropdowns: true,
					minYear: 1901,
					maxYear: parseInt(moment().format('YYYY'),10) + 20,
					locale: {
					  format: envira_gallery_schedule.envira_datetime_format
					}
				}
			);

			$( '#schedule_meta_end' ).daterangepicker(
				{
					timePicker: true,
					singleDatePicker: true,
					showDropdowns: true,
					minYear: 1901,
					maxYear: parseInt(moment().format('YYYY'),10) + 20,
					locale: {
					  format: envira_gallery_schedule.envira_datetime_format
					}
				}
			);

		}
	);

})( jQuery );
