/**
 * Handles showing and hiding fields conditionally
 */
jQuery( document ).ready(
	function( $ ) {

			// Show/hide elements as necessary when a conditional field is changed
			$( '#envira-gallery-settings input:not([type=hidden]), #envira-gallery-settings select' ).conditions(
				[

				{	// Instagram elements
					conditions: {
						element: '[name="_envira_gallery[woocommerce_auto_create]"]',
						type: 'checked',
						operator: 'is'
					},
					actions: {
						if : [
						{
							element: '#envira-config-woocommerce-template',
							action: 'show'
						}
						],
						else : [
						{
							element: '#envira-config-woocommerce-template',
							action: 'hide'
						}
						]
					}
				},


				]
			);

	}
);
