( function( $ ) {



  $(document).ready(function() {
	window.overwrite_to_post = false;
	window.envira_elementor_gallery_id = 0;
  });

  /**
   * @param $scope The Widget wrapper element as a jQuery element
   * @param $ The jQuery alias
   */
  var WidgetEnviraHandler = function( $scope, $ ) {
	var gallery_id = $scope.find('.envira-elementor-container').data('envira-gallery-id');
	var wrapper = $scope.find( '.envira-gallery-public' );
  };

  var WidgetEnviraOpenEditor = function( panel, model, view ) {
	var $element = view.$el.find( '.envira-gallery-wrap .envira-gallery-public' );
	var gallery_id = $element.data('envira-id');
	window.envira_elementor_panel = panel;

	if (typeof $element !== 'undefined') {

		var gallery_images_json = $element.data('gallery-images'),
			gallery_data_json = $element.data('gallery-config');

		if ( gallery_data_json === undefined || gallery_images_json === undefined ) {
			return;
		}

		var layout    = gallery_data_json.layout.length > 0 ? gallery_data_json.layout : 'automatic',
			columns   = parseInt( gallery_data_json.columns ) > 0 && gallery_data_json.columns !== 'false' ? gallery_data_json.columns : '3',
			margin    = gallery_data_json.margin ? parseInt( gallery_data_json.margin ) : '',
			lb_enable = gallery_data_json.lightbox_enabled ? parseInt( gallery_data_json.lightbox_enabled ) : '',
			lb_theme  = gallery_data_json.lightbox_theme.length > 0 ? gallery_data_json.lightbox_theme : '';

		var margins = '';

		switch( margin ) {
			case 0:
			case 1:
			case 5:
			case 20:
				margins = '' + margin;
			break;
			default:
				margins = '-';
		}

		panel.$el.find( '.elementor-control-envira_gallery_layout select' ).val( layout );
		panel.$el.find( '.elementor-control-envira_gallery_columns select' ).val( columns );
		panel.$el.find( '.elementor-control-envira_gallery_margins select' ).val( margins );
		panel.$el.find( '.elementor-control-envira_gallery_margin input' ).val( margin );
		if ( lb_enable === 1 ) {
			panel.$el.find( '.elementor-control-envira_gallery_enable_lightbox input.elementor-switch-input' ).prop( "checked", true );
		} else {
			panel.$el.find( '.elementor-control-envira_gallery_enable_lightbox input.elementor-switch-input' ).prop( "checked", false );
		}
		panel.$el.find( '.elementor-control-envira_gallery_lightbox_theme select' ).val( lb_theme );

	}

  };

  // Make sure you run this code under Elementor.
  $( window ).on( 'elementor/frontend/init', function() {
	if (typeof elementorFrontend !== 'undefined' && typeof elementorFrontend.hooks !== 'undefined') {
		elementorFrontend.hooks.addAction( 'frontend/element_ready/envira.default', WidgetEnviraHandler );
	}
	// elementor.hooks.addAction( 'panel/open_editor/select', WidgetEnviraOpenEditor );
	if (typeof elementor !== 'undefined' && typeof elementor.hooks !== 'undefined') {
		console.log( elementor );
		console.log( elementor.hooks );
		elementor.hooks.addAction( 'panel/open_editor/widget', WidgetEnviraOpenEditor );
	}
  } );

} )( jQuery );
