<?php
/**
 * Envira Proofing Frontend Container.
 *
 * @since 1.6.0
 *
 * @package Envira Gallery
 * @subpackage Envira Proofing
 * @author Envira Gallery Team <support@enviragallery.com>
 */

namespace Envira\Proofing\Frontend;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Frontend Container Class.
 *
 * @since 1.6.0
 */
class Frontend_Container {

	/**
	 * Class Constructor.
	 *
	 * @since 1.6.0
	 */
	public function __construct() {
		new Posttype();
		new Shortcode();
		new Email();

		( new Order() )->hooks();
	}
}
